- [HTTP request](https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchUpdate#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchUpdate#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchUpdate#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchUpdate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchUpdate#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchUpdate#body.BatchUpdateEvaluationCasesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchUpdate#body.aspect)
- [UpdateEvaluationCaseRequest](https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchUpdate#UpdateEvaluationCaseRequest)
  - [JSON representation](https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchUpdate#UpdateEvaluationCaseRequest.SCHEMA_REPRESENTATION)

Batch updates EvaluationCases.

### HTTP request

`POST https://foodorderingaiagent.googleapis.com/v1beta/{parent=projects/*/locations/*/brands/*}/evaluationCases:batchUpdate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource shared by all evaluation cases being updated. Format: projects/{project}/locations/{location}/brands/{brand} If this is set, the parent of all of the evaluation cases specified in `requests` must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchUpdate#UpdateEvaluationCaseRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchUpdate#UpdateEvaluationCaseRequest`)`` Required. The request message specifying the resources to update. A maximum of 1000 evaluation cases can be modified in a batch. |

### Response body

Response message for `https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/batchUpdate#google.cloud.foodorderingaiagent.v1beta.MenuService.BatchUpdateEvaluationCases`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "evaluationCases": [ { object (`https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases#EvaluationCase`) } ] } ``` |

| Fields ||
|---|---|
| `evaluationCases[]` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases#EvaluationCase`)`` EvaluationCases updated. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## UpdateEvaluationCaseRequest

Request message for `https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases/patch#google.cloud.foodorderingaiagent.v1beta.MenuService.UpdateEvaluationCase`.

| JSON representation |
|---|
| ``` { "evaluationCase": { object (`https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases#EvaluationCase`) }, "updateMask": string, "allowMissing": boolean } ``` |

| Fields ||
|---|---|
| `evaluationCase` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/commerce-agents/food/reference/rest/v1beta/projects.locations.brands.evaluationCases#EvaluationCase`)`` Required. The evaluation case to update. The evaluation case's `name` field is used to identify the evaluation case to update. Format: projects/{project}/locations/{location}/brands/{brand}/evaluationCases/{evaluationCase} |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `allowMissing` | `boolean` Optional. If set to true, and the evaluation case is not found, a new evaluation case will be created. In this situation, `updateMask` is ignored. |